Reserved plugin letters
-----------------------

Used in @x24R@ constructs where x is:

D - date plugin.
M - Mark 'n lard plugin.
S - Sesame Street plugin.
U - uptime plugin.


Macros
------

Used in @x constructs where x is:

B - Newline (think Break line)
F - First name
L - Last name
N - Full name
V - Version in the form x.y.z

@NOTAG@ is special and means that no tagline is to be appended to this sig
but that it will still be parsed and have macros substituted etc.

The name variants are only available if htag is passed a message with
headers like "To: Simon Huggins <huggie@earth.li>".


Magic Reformatting
------------------

This isn't supported yet but I think it's what I want.  I just need to be
able to match nested constructs but I think there is a module for this.
Hmm.  Need more CFT.
Used in @x24@ constructs where x is:

CENTER	- Center over line width
RIGHT	- Right align
LEFT	- Left align with padding

Without a following length the operations are done over the line width.
